VERSION 5.00
Begin VB.Form frmWindowSearch 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Window Search"
   ClientHeight    =   3210
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3870
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3210
   ScaleWidth      =   3870
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkHide 
      Caption         =   "&Hide Basic API Spy"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   2900
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2880
      TabIndex        =   3
      Top             =   720
      Width           =   855
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2880
      TabIndex        =   2
      Top             =   240
      Width           =   855
   End
   Begin VB.Frame Frame1 
      Caption         =   "Search Criteria:"
      Height          =   2735
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2655
      Begin VB.TextBox txtInfo 
         Height          =   315
         Index           =   2
         Left            =   840
         Locked          =   -1  'True
         TabIndex        =   12
         Top             =   2280
         Width           =   1695
      End
      Begin VB.TextBox txtInfo 
         Height          =   315
         Index           =   1
         Left            =   840
         Locked          =   -1  'True
         TabIndex        =   11
         Top             =   1920
         Width           =   1695
      End
      Begin VB.TextBox txtInfo 
         Height          =   315
         Index           =   0
         Left            =   840
         Locked          =   -1  'True
         TabIndex        =   10
         Top             =   1560
         Width           =   1095
      End
      Begin VB.PictureBox picFTool 
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   480
         Left            =   1080
         Picture         =   "frmWindowSearch.frx":0000
         ScaleHeight     =   480
         ScaleWidth      =   480
         TabIndex        =   5
         Top             =   960
         Width           =   480
      End
      Begin VB.Label Label5 
         AutoSize        =   -1  'True
         Caption         =   "Class:"
         Height          =   210
         Left            =   120
         TabIndex        =   9
         Top             =   2325
         Width           =   450
      End
      Begin VB.Label Label4 
         AutoSize        =   -1  'True
         Caption         =   "Caption:"
         Height          =   210
         Left            =   120
         TabIndex        =   8
         Top             =   1965
         Width           =   585
      End
      Begin VB.Label Label3 
         AutoSize        =   -1  'True
         Caption         =   "Handle:"
         Height          =   210
         Left            =   120
         TabIndex        =   7
         Top             =   1620
         Width           =   540
      End
      Begin VB.Label Label2 
         AutoSize        =   -1  'True
         Caption         =   "Finder Tool:"
         Height          =   210
         Left            =   120
         TabIndex        =   4
         Top             =   1080
         Width           =   840
      End
      Begin VB.Label Label1 
         Caption         =   "Specify the window by dragging the Finder Tool over a window, then release the mouse button."
         Height          =   690
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   2370
      End
   End
End
Attribute VB_Name = "frmWindowSearch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type POINTAPI
        X As Long
        Y As Long
End Type

'API Declarations
Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Declare Function GetParent Lib "user32" (ByVal hWnd As Long) As Long
Private Declare Function WindowFromPoint Lib "user32" (ByVal xPoint As Long, ByVal yPoint As Long) As Long

Dim blnStop As Boolean

'**********************************************
'Procedure: Track
'Purpose:   Get info of windows under the mouse
'Called by: picFTool_MouseDown
'**********************************************
Private Sub Track()
    On Error GoTo TrackErrHandler
    
    Dim mousePT     As POINTAPI
    Dim lngPrev     As Long
    Dim lngCur      As Long
    Dim lngX, lngY  As Long
    Dim lngRetVal   As Long
    Dim strTemp     As String
    
    blnStop = False
    lngPrev = 0
    
    Do
        If blnStop = True Then Exit Do
        
        Call GetCursorPos(mousePT)
        lngX = mousePT.X
        lngY = mousePT.Y
        
        'under mouse
        lngCur = WindowFromPoint(lngX, lngY)
        
        If lngCur <> lngPrev Then
            
            strTemp = String(256, " ")
            lngPrev = lngCur
            lngRetVal = GetClassName(lngCur, strTemp, 255)
            strTemp = Left(strTemp, InStr(strTemp, vbNullChar) - 1)
            txtInfo(0).Text = lngCur
            txtInfo(1).Text = strTemp
            strTemp = String(GetWindowTextLength(lngCur), " ")
            lngRetVal = GetWindowText(lngCur, strTemp, 255)
            txtInfo(2).Text = strTemp
            
        End If
        
        DoEvents
    Loop
    
TrackErrHandler:
End Sub

Private Sub chkHide_Click()
    If chkHide.Value = vbChecked Then
        frmMain.Visible = False
    Else
        frmMain.Visible = True
    End If
    
End Sub

Private Sub cmdCancel_Click()
    Unload Me
    
End Sub

Private Sub cmdOK_Click()
    frmWindowProperties.Show
    Unload Me
    
End Sub

Private Sub picFTool_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'start
    Me.MousePointer = 99
    Me.MouseIcon = picFTool.Picture
    picFTool.Visible = False
    Call Track
    
End Sub

Private Sub picFTool_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'stop
    blnStop = True
    Me.MousePointer = 0
    picFTool.Visible = True
    
    lngHandle = CLng(txtInfo(0).Text)

End Sub
